<?php

use Backend\Models\Group;
use Backend\Models\Vote;
require_once "../../../bootstrap.php";


if(isset($_POST['321Vote'])){
    require "Vote.php";

    //give 1 point
    $vote = new Vote();
    $vote->group()->associate(Group::find($_POST['1pGroupId']));
    $vote->points += 1;
    if(!empty($_POST['1pComment'])){
        $vote->comment = $_POST['1pComment'];
    }
    $vote->save();
    //give 2 point
    $vote = new Vote();
    $vote->group()->associate(Group::find($_POST['2pGroupId']));
    $vote->points += 2;
    if(!empty($_POST['2pComment'])){
        $vote->comment = $_POST['2pComment'];
    }
    $vote->save();
    //give 3 point
    $vote = new Vote();
    $vote->group()->associate(Group::find($_POST['3pGroupId']));
    $vote->points += 3;
    if(!empty($_POST['3pComment'])){
        $vote->comment = $_POST['3pComment'];
    }
    $vote->save();
    header("location: ../../../Frontend/index.html?success=SavedVote");
    exit();



}
